window.addEventListener('load', function() {
    window.etherApi = {};
    window.etherApi.run = function(cmd) {
        iFrame = document.createElement("IFRAME");
        iFrame.setAttribute("src", "ethercap://" + cmd);
        document.body.appendChild(iFrame);
        iFrame.parentNode.removeChild(iFrame);
        iFrame = null;
    };

    console.log = function (log) {
        window.etherApi.run("debug?log=" + encodeURIComponent(String(log)));
    };
    console.debug = console.log;
    console.info = console.log;
    console.warn = console.log;
    console.error = console.log;

    window.etherApi.goto = {
        page: function(page) {
            window.etherApi.run("goto/"+page);
        },
        projectList: function (type) {
            console.log("projectList: type=" + type);
            this.page("projectList?type=" + type);
        },
        project: function(projectId) {
            console.log("project: proejctId=" + projectId);
            this.page("projectList/project?projectId=" + projectId);
        },
        meetingList: function(type) {
            console.log("meetingList: type=" + type);
            this.page("meetingList?type=" + type);
        },
        messageList: function() {
            console.log("messageList");
            this.page("messageList");
        },
        messageIM: function(projectId) {
            console.log("messageIM: projectId=" + projectId);
            this.page("messageList/im?projectId=" + projectId);
        },
        messageSystem: function() {
            console.log("messageSystem");
            this.page("messageList/system");
        },
        userInfo: function() {
            console.log("userInfo");
            this.page("userInfo");
        },
        userDetail: function() {
            console.log("userDetail");
            this.page("userInfo/detail");
        }
    };

    window.etherApi.share = {
        run: function(cmd) {
            window.etherApi.run("share/"+cmd);
        },
        showButton: function (show) {
            console.log("showButton: show="+(+show));
            this.run("showButton?show="+(+show));
        },
        showPanel: function () {
            console.log("showPanel");
            this.run("showPanel");
        },
        content: {
            title: "null",
            text: "null",
            url: "null",
            image: "null"
        },
        getContent: function () {
            return JSON.stringify(this.content);
        },
        setContent: function (s) {
            this.run("setContent?"+encodeURI(JSON.stringify(this.content)));
        }
    };
});